/* TableStyleMedium9.java

	Purpose:
		
	Description:
		
	History:
		Mar 30, 2015 5:17:51 PM, Created by henrichen

	Copyright (C) 2015 Potix Corporation. All Rights Reserved.
*/

package org.zkoss.zssex.model.sys;

import org.zkoss.zss.model.SBorder.BorderType;
import org.zkoss.zss.model.SFill.FillPattern;
import org.zkoss.zss.model.STableStyleElem;
import org.zkoss.zss.model.SFont.Underline;
import org.zkoss.zss.model.impl.BorderImpl;
import org.zkoss.zss.model.impl.BorderLineImpl;
import org.zkoss.zss.model.impl.ExtraFillImpl;
import org.zkoss.zss.model.impl.FontImpl;
import org.zkoss.zss.model.impl.TableStyleElemImpl;
import org.zkoss.zss.model.impl.TableStyleImpl;

/**
 * Builtin TableStyleMediumn9
 * 
 * @author henri
 * @since 3.8.0
 */
public class TableStyleMedium9 extends TableStyleImpl {
	private TableStyleMedium9() {
		super(
				"TableStyleMedium9",//name,
				M9_Whole_Table, 	//wholeTable,
				M9_Col_Stripe1, 	//colStripe1,
				1, 					//colStripe1Size,
				null, 				//colStripe2,
				1, 					//colStripe2Size,
				M9_Row_Stripe1, 	//rowStripe1,
				1, 					//rowStripe1Size,
				null,				//rowStripe2,
				1, 					//rowStripe2Size,
				M9_Last_Col, 	//lastCol,
				M9_First_Col,	//firstCol,
				M9_Header_Row,	//headerRow,
				M9_Total_Row,	//totalRow,
				null,	//firstHeaderCell,
				null,	//lastHeaderCell,
				null,	//firstTotalCell,
				null	//lastTotalCell
			);
	}
	
	private static final STableStyleElem M9_Col_Stripe1 = 
			new TableStyleElemImpl(
				null,	//font
				new ExtraFillImpl(FillPattern.SOLID, "B8CCE4", "B8CCE4"), 	//fill //ZSS-1162
				null	//border
			);

	private static final STableStyleElem M9_Row_Stripe1 =
			M9_Col_Stripe1;
	private static final STableStyleElem M9_Last_Col =
			new TableStyleElemImpl(
				new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
					false /*fontStrikeout*/, Underline.NONE), 			//font
				new ExtraFillImpl(FillPattern.SOLID, "4F81BD", "4F81BD"),	//fill //ZSS-1162
				null //border
			);
	private static final STableStyleElem M9_First_Col =
			M9_Last_Col;
	private static final BorderLineImpl M9_Outline_Border =
			new BorderLineImpl(BorderType.THICK, "FFFFFF");
	private static final BorderLineImpl M9_Inside_Border =
			new BorderLineImpl(BorderType.THIN, "FFFFFF");
	private static final STableStyleElem M9_Total_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "4F81BD", "4F81BD"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							M9_Outline_Border, //top 
							null, //right
							null, //bottom
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M9_Header_Row =
			new TableStyleElemImpl(
					new FontImpl("FFFFFF", true /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "4F81BD", "4F81BD"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top
							null, //right
							M9_Outline_Border, //bottom 
							null, //diagonal
							null, //vertical
							null  //horizontal
					)
			);
	private static final STableStyleElem M9_Whole_Table = 
			new TableStyleElemImpl(
					new FontImpl("000000", false /*bold*/, false /*fontItalic*/, 
							false /*fontStrikeout*/, Underline.NONE), 	//font
					new ExtraFillImpl(FillPattern.SOLID, "DBE5F1", "DBE5F1"),//fill //ZSS-1162
					new BorderImpl(
							null, //left 
							null, //top 
							null, //right
							null, //bottom
							null, //diagonal
							M9_Inside_Border,	//vertical
							M9_Inside_Border 	//horizontal
					)
			);

	public static final TableStyleMedium9 instance = new TableStyleMedium9();
}
